Subject: Re: Reproducable panic: Digital Unix 4.0B, mrouted.

From: Bill Fenner <[email-masked]>
Date: Fri, 13 Jun 1997 09:10:13 PDT

>I suspect that mrouted is tickling a bug in 4.0B that's more general
>than multicasting as I've seen other panic's from unrelated code before
>I started playing with multicast, but this is the first crash-on-demand
>panic I've had.

Although I've never seen the DEC Unix locking code, my guess is that
the slightly strange path that a packet output to a group of which
we're a member (ip_output->ip_mloopback-> ip input queue ->ipintr->
ip_mforward) bypasses some lock that needs to be taken out.

  Bill